<?php
	session_start();
	if($_SESSION['adm'])
	{
		$userid= $_SESSION['adm'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url(bg.jpg); background-size:cover; margin:0; padding:0; width:1580px;}
.head{background:; width:1450px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420;
	font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040;
	font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420;
	margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:#996420; padding:5px; border-radius:4px;}
 #link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}

.menu{background:#996420; height:40px; width:1450px; margin-left:20px; padding:0; line-height:40px;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 
 .commdiv{height:40px; width:500px; background:#996420; color:white; margin:10 0 0 20px; line-height:40px;}
 .commdiv h3{margin-left:20px;}
 
 #t1{ width:500px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; }
#t1 td{font-family:calibri;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#t1 input{padding-left:5px; width:100px;}
 
 #btn{margin:10 0 0 408px; padding:5px; background:green; color:white; cursor:pointer;}
 </style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
		<p id="link2">Balance:<?php echo $currentbal; ?> </p>
	</div>
	<div class="menu">
		<ul>
			<li><a href="admin.php" id="a1">Home</a></li>
			<li>Setting
				<ul>
					<li><a href="add_operator.php">Operator</a></li>
					<li><a href="set_commision.php">Set Commision</a></li>
					<li><a href="add_bank_details.php">Add Bank Details</a></li>
					<li><a href="retailer_type.php">Retailer Type</a></li>
					<li><a href="add_state.php">State</a></li>
					<li><a href="add_city.php">City</a></li>
				</ul>
			</li>
			<li>Manage Users
				<ul>
					<li><a href="list_complain.php">Complain</a></li>
					<li><a href="alert_msg.php">Alert</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Master Distributers
				<ul>
					<li><a href="add_md.php">Add M. Distributers</a></li>
					<li><a href="view_md.php">View M. Distributers</a></li>
				</ul>
			</li>
			<li>Distributers
				<ul>
					<li><a href="add_distributer.php">Add Distributers</a></li>
					<li><a href="view_distributer.php">View Distributers</a></li>
				</ul>
			</li>
			<li>Retailer
				<ul>
					<li><a href="add_agent.php">Add Retailer</a></li>
					<li><a href="view_retailer.php">View Retailer</a></li>
				</ul>
			</li>
			<li>Reports
				<ul>
					<li><a href="pending_recharge.php">Pending Recharge</a></li>
					<li><a href="admin_recharge_history.php">Recharge History</a></li>
					<li><a href="check_status.php">Check Transaction</a></li>
					<li><a href="account_reports.php">Account Report</a></li>
					<li><a href="view_payment1.php">Payment Request</a></li>
				</ul>
			</li>
		</ul>
	</div>
	
<div class="content">
<?php
	include'connection.php';
	$uid=$_GET['id'];
	$querygetname="select * from retailer where Userid='$uid'";
	$resultgetname=mysqli_query($con,$querygetname);
	$datagetname=mysqli_fetch_array($resultgetname);
	$username=$datagetname['Name'];
	$parentId=$datagetname['Parentid'];
	
	$query="select * from commision where Userid='$parentId'";
	$result=mysqli_query($con,$query);
	$data=mysqli_fetch_array($result);
	
	if(isset($_POST['submit']))
	{
		$at=$_POST['at'];
		$idea=$_POST['idea'];
		$bst=$_POST['bst'];
		$bss=$_POST['bss'];
		$doco=$_POST['doco'];
		$Docomo_Special=$_POST['Docomo_Special'];
		$Tata_Indicom=$_POST['Tata_Indicom'];
		$Vodafone=$_POST['Vodafone'];
		$MTS=$_POST['MTS'];
		$Loop_Mobile=$_POST['Loop_Mobile'];
		$Reliance_Jio=$_POST['Reliance_Jio'];
		$VIDEOCON_DTH=$_POST['VIDEOCON_DTH'];
		$SUN_DTH=$_POST['SUN_DTH'];
		$BIG_TV_DTH=$_POST['BIG_TV_DTH'];
		$TATA_SKY_DTH=$_POST['TATA_SKY_DTH'];
		$AIRTEL_DTH=$_POST['AIRTEL_DTH'];
		$DISH_TV_DTH=$_POST['DISH_TV_DTH'];
		$Vodafone_Postpaid=$_POST['Vodafone_Postpaid'];
		$Airtel_Postpaid=$_POST['Airtel_Postpaid'];
		$BSNL_Postpaid=$_POST['BSNL_Postpaid'];
		$Idea_Postpaid=$_POST['Idea_Postpaid'];
		$LOOP_Postpaid=$_POST['LOOP_Postpaid'];
		$TATA_Docomo_Postpaid=$_POST['TATA_Docomo_Postpaid'];
		$TATA_Indicom_Postpaid=$_POST['TATA_Indicom_Postpaid'];
		$Tata_Walky_Postpaid=$_POST['Tata_Walky_Postpaid'];
		$MTS_Postpaid=$_POST['MTS_Postpaid'];
		$MTNL_Mumbai=$_POST['MTNL_Mumbai'];
		$MTNL_Mumbai_Special=$_POST['MTNL_Mumbai_Special'];
		$Tata_Walky=$_POST['Tata_Walky'];
		$Jio_Postpaid=$_POST['Jio_Postpaid'];
		$Airtel_RO=$_POST['Airtel_RO'];
		$Vi_RO=$_POST['Vi_RO'];
		
		$query1="update commision set 
		Airtel='$at', 
		Idea='$idea', 
		BSNL_Topup='$bst', 
		BSNL_Special='$bss', 
		Docomo_Topup='$doco',
		Docomo_Special='$Docomo_Special',
		Tata_Indicom='$Tata_Indicom',
		Vodafone='$Vodafone',
		MTS='$MTS',
		Loop_Mobile='$Loop_Mobile',
		Reliance_Jio='$Reliance_Jio',
		VIDEOCON_DTH='$VIDEOCON_DTH',
		SUN_DTH='$SUN_DTH',
		BIG_TV_DTH='$BIG_TV_DTH',
		TATA_SKY_DTH='$TATA_SKY_DTH',
		AIRTEL_DTH='$AIRTEL_DTH',
		DISH_TV_DTH='$DISH_TV_DTH',
		Vodafone_Postpaid='$Vodafone_Postpaid',
		Airtel_Postpaid='$Airtel_Postpaid',
		BSNL_Postpaid='$BSNL_Postpaid',
		Idea_Postpaid='$Idea_Postpaid',
		LOOP_Postpaid='$LOOP_Postpaid',
		TATA_Docomo_Postpaid='$TATA_Docomo_Postpaid',
		TATA_Indicom_Postpaid='$TATA_Indicom_Postpaid',
		Tata_Walky_Postpaid='$Tata_Walky_Postpaid',
		MTS_Postpaid='$MTS_Postpaid',
		MTNL_Mumbai='$MTNL_Mumbai',
		MTNL_Mumbai_Special='$MTNL_Mumbai_Special',
		Tata_Walky='$Tata_Walky',
		Airtel_RO='$Airtel_RO',
		Vi_RO='$Vi_RO'
		where Userid='$uid'";
		mysqli_query($con,$query1);
		
	}
		
	?>
	<div class="commdiv">
	<h3>Set Commission For :- <?php echo $username." [ " .$uid." ] "; ?></h3>
	</div>
	
	<table border="1" cellpadding="7" id="t1">
		<tr>
			<th>Sl. No.</th>
			<th>Network</th>
			<th>Parent Commission</th>
			<th>Client Commission</th>
		</tr>
	<?php
		
		include'connection.php';
		$uid=$_GET['id'];
		
		$query2="select * from commision where Userid='$uid'";
		$result2=mysqli_query($con,$query2);
		$data2=mysqli_fetch_array($result2);
		
		echo "<form method='post'>";
		echo "<tr>";
			echo "<td>1</td>";
			echo "<td>Airtel</td>";
			echo "<td>".$data['Airtel']."</td>";
			echo "<td><input type='text' value='".$data2['Airtel']."' name='at'></input></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>2</td>";
			echo "<td>Idea</td>";
			echo "<td>".$data['Idea']."</td>";
			echo "<td><input type='text' value='".$data2['Idea']."' name='idea'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>3</td>";
			echo "<td>BSNL Topup</td>";
			echo "<td>".$data['BSNL_Topup']."</td>";
			echo "<td><input type='text' name='bst' value='".$data2['BSNL_Topup']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>4</td>";
			echo "<td>BSNL Special</td>";
			echo "<td>".$data['BSNL_Special']."</td>";
			echo "<td><input type='text' name='bss' value='".$data2['BSNL_Special']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>5</td>";
			echo "<td>Docomo Topup</td>";
			echo "<td>".$data['Docomo_Topup']."</td>";
			echo "<td><input type='text' name='doco' value='".$data2['Docomo_Topup']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>6</td>";
			echo "<td>Docomo Special</td>";
			echo "<td>".$data['Docomo_Special']."</td>";
			echo "<td><input type='text' name='Docomo_Special' value='".$data2['Docomo_Special']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>6</td>";
			echo "<td>Tata Indicom</td>";
			echo "<td>".$data['Tata_Indicom']."</td>";
			echo "<td><input type='text' name='Tata_Indicom' value='".$data2['Tata_Indicom']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>7</td>";
			echo "<td>Vodafone</td>";
			echo "<td>".$data['Vodafone']."</td>";
			echo "<td><input type='text' name='Vodafone' value='".$data2['Vodafone']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>8</td>";
			echo "<td>MTS</td>";
			echo "<td>".$data['MTS']."</td>";
			echo "<td><input type='text' name='MTS' value='".$data2['MTS']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>9</td>";
			echo "<td>Loop Mobile</td>";
			echo "<td>".$data['Loop_Mobile']."</td>";
			echo "<td><input type='text' name='Loop_Mobile' value='".$data2['Loop_Mobile']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>10</td>";
			echo "<td>Reliance Jio</td>";
			echo "<td>".$data['Reliance_Jio']."</td>";
			echo "<td><input type='text' name='Reliance_Jio' value='".$data2['Reliance_Jio']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>11</td>";
			echo "<td>VIDEOCON DTH</td>";
			echo "<td>".$data['VIDEOCON_DTH']."</td>";
			echo "<td><input type='text' name='VIDEOCON_DTH' value='".$data2['VIDEOCON_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>12</td>";
			echo "<td>SUN DTH</td>";
			echo "<td>".$data['SUN_DTH']."</td>";
			echo "<td><input type='text' name='SUN_DTH' value='".$data2['SUN_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>13</td>";
			echo "<td>BIG TV DTH</td>";
			echo "<td>".$data['BIG_TV_DTH']."</td>";
			echo "<td><input type='text' name='BIG_TV_DTH' value='".$data2['BIG_TV_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>14</td>";
			echo "<td>TATA SKY DTH</td>";
			echo "<td>".$data['TATA_SKY_DTH']."</td>";
			echo "<td><input type='text' name='TATA_SKY_DTH' value='".$data2['TATA_SKY_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>15</td>";
			echo "<td>AIRTEL DTH</td>";
			echo "<td>".$data['AIRTEL_DTH']."</td>";
			echo "<td><input type='text' name='AIRTEL_DTH' value='".$data2['AIRTEL_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>16</td>";
			echo "<td>DISH TV DTH</td>";
			echo "<td>".$data['DISH_TV_DTH']."</td>";
			echo "<td><input type='text' name='DISH_TV_DTH' value='".$data2['DISH_TV_DTH']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>17</td>";
			echo "<td>Vodafone Postpaid</td>";
			echo "<td>".$data['Vodafone_Postpaid']."</td>";
			echo "<td><input type='text' name='Vodafone_Postpaid' value='".$data2['Vodafone_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>18</td>";
			echo "<td>Airtel Postpaid</td>";
			echo "<td>".$data['Airtel_Postpaid']."</td>";
			echo "<td><input type='text' name='Airtel_Postpaid' value='".$data2['Airtel_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>19</td>";
			echo "<td>BSNL Postpaid</td>";
			echo "<td>".$data['BSNL_Postpaid']."</td>";
			echo "<td><input type='text' name='BSNL_Postpaid' value='".$data2['BSNL_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>20</td>";
			echo "<td>Idea Postpaid</td>";
			echo "<td>".$data['Idea_Postpaid']."</td>";
			echo "<td><input type='text' name='Idea_Postpaid' value='".$data2['Idea_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>21</td>";
			echo "<td>LOOP Postpaid</td>";
			echo "<td>".$data['LOOP_Postpaid']."</td>";
			echo "<td><input type='text' name='LOOP_Postpaid' value='".$data2['LOOP_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>22</td>";
			echo "<td>TATA Docomo Postpaid</td>";
			echo "<td>".$data['TATA_Docomo_Postpaid']."</td>";
			echo "<td><input type='text' name='TATA_Docomo_Postpaid' value='".$data2['TATA_Docomo_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>23</td>";
			echo "<td>TATA Indicom Postpaid</td>";
			echo "<td>".$data['TATA_Indicom_Postpaid']."</td>";
			echo "<td><input type='text' name='TATA_Indicom_Postpaid' value='".$data2['TATA_Indicom_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>24</td>";
			echo "<td>Tata Walky Postpaid</td>";
			echo "<td>".$data['Tata_Walky_Postpaid']."</td>";
			echo "<td><input type='text' name='Tata_Walky_Postpaid' value='".$data2['Tata_Walky_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>25</td>";
			echo "<td>MTS Postpaid</td>";
			echo "<td>".$data['MTS_Postpaid']."</td>";
			echo "<td><input type='text' name='MTS_Postpaid' value='".$data2['MTS_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>26</td>";
			echo "<td>MTNL Mumbai</td>";
			echo "<td>".$data['MTNL_Mumbai']."</td>";
			echo "<td><input type='text' name='MTNL_Mumbai' value='".$data2['MTNL_Mumbai']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>27</td>";
			echo "<td>MTNL Mumbai Special</td>";
			echo "<td>".$data['MTNL_Mumbai_Special']."</td>";
			echo "<td><input type='text' name='MTNL_Mumbai_Special' value='".$data2['MTNL_Mumbai_Special']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>28</td>";
			echo "<td>Tata Walky</td>";
			echo "<td>".$data['Tata_Walky']."</td>";
			echo "<td><input type='text' name='Tata_Walky' value='".$data2['Tata_Walky']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>29</td>";
			echo "<td>Jio Postpaid</td>";
			echo "<td>".$data['Jio_Postpaid']."</td>";
			echo "<td><input type='text' name='Jio_Postpaid' value='".$data2['Jio_Postpaid']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>30</td>";
			echo "<td>Airtel RO</td>";
			echo "<td>".$data['Airtel_RO']."</td>";
			echo "<td><input type='text' name='Airtel_RO' value='".$data2['Airtel_RO']."'></td>";
		echo "</tr>";
		echo "<tr>";
			echo "<td>31</td>";
			echo "<td>Vi RO</td>";
			echo "<td>".$data['Vi_RO']."</td>";
			echo "<td><input type='text' name='Vi_RO' value='".$data2['Vi_RO']."'></td>";
		echo "</tr>";
		
		
	?>
	
	</table>
		<input type='submit' name='submit' value='Set Commission' id="btn">
		</form>
</div>
</body>
</html>